#include "shoot_task.h"
#include "TopDefine.h"
#include "FreeRTOS.h"
#include "attrTask.h"
#include <cmsis_os2.h>
#include "shoot_task.h"
#include "odrive_shoot.h"
#include "remote_control.h"

extern RC_mess_t RC_mess;
const odrive_msg_t *odrive_msg1;
void Task_Shoot(void *argument)
{
    (void)argument; /* 未使用argument，消除警告 */

  //  odrive_CB();
    
    while(1)
    {
      shootStep();

  odrive_get_encode(AXIS0_NODE);
  
  odrive_msg1 = Get_Odrive_Point();
      osDelay(2);
    }
}
